/*
C'est une fonction asm qui retourne dans eax l'adresse du BT. On a en entree
ARG1 et ARG2 qui sont les codes identifiants du composant...
*/


#define ARG1      8(%ebp)
#define ARG2      12(%ebp)

.text

.globl _Adr_Bt
   .align 4
_Adr_Bt:

      pushl    %ebp
      movl     %esp,%ebp

      pushl    %ebx
      pushl    %ecx
      pushl    %edx
      pushl    %esi
      pushl    %edi

      xorw     %si,%si
      movw     $0xB102,%ax
      movl     ARG2,%ecx
      movl     ARG1,%edx
      int      $0x1A
      jc       BTChip_Erreur
      orb      %ah,%ah
      jnz      BTChip_Erreur
      movw     $0x10,%di
      movw     $0xB10A,%ax
      int      $0x1A
      jc       BTChip_Erreur
      orb      %ah,%ah
      jnz      BTChip_Erreur
      andl     $0xFFFFF000,%ecx
      movl     %ecx,%eax
      jmp      Fin

BTChip_Erreur:

      clrl    %eax

Fin:

      popl    %edi
      popl    %esi
      popl    %edx
      popl    %ecx
      popl    %ebx

      movl    %ebp,%esp
      popl    %ebp

      ret

